POST /v1/alpha/search
curl --request POST \
--url https://api.example.com/v1/alpha/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"model": "<string>",
"commands": {
"click": [
{
"id": 1,
"ref_id": "<string>"
}
],
"finance": [
{
"ticker": "<string>",
"market": "<string>"
}
],
"find": [
{
"pattern": "<string>",
"ref_id": "<string>"
}
],
"image_query": [
{
"q": "<string>",
"domains": [
"<string>"
],
"recency": 1
}
],
"literature_search_query": [
{
"q": "<string>",
"domains": [
"<string>"
],
"recency": 1
}
],
"open": [
{
"ref_id": "<string>",
"lineno": 1
}
],
"screenshot": [
{
"pageno": 1,
"ref_id": "<string>"
}
],
"search_query": [
{
"q": "<string>",
"domains": [
"<string>"
],
"recency": 1
}
],
"sports": [
{
"date_from": "<string>",
"date_to": "<string>",
"locale": "<string>",
"num_games": 1,
"opponent": "<string>",
"team": "<string>",
"tool": "sports"
}
],
"time": [
{
"utc_offset": "<string>"
}
],
"weather": [
{
"location": "<string>",
"duration": 1,
"start": "<string>"
}
]
},
"input": "<string>",
"max_output_tokens": 1,
"reasoning": {
"effort": "<string>"
},
"settings": {
"allowed_callers": [],
"external_web_access": true,
"filters": {
"allowed_domains": [
"<string>"
],
"blocked_domains": [
"<string>"
]
},
"image_settings": {
"caption": true,
"max_results": 1
},
"user_location": {
"type": "approximate",
"city": "<string>",
"country": "<string>",
"region": "<string>",
"timezone": "<string>"
}
}
}
'import requests
url = "https://api.example.com/v1/alpha/search"
payload = {
"id": "<string>",
"model": "<string>",
"commands": {
"click": [
{
"id": 1,
"ref_id": "<string>"
}
],
"finance": [
{
"ticker": "<string>",
"market": "<string>"
}
],
"find": [
{
"pattern": "<string>",
"ref_id": "<string>"
}
],
"image_query": [
{
"q": "<string>",
"domains": ["<string>"],
"recency": 1
}
],
"literature_search_query": [
{
"q": "<string>",
"domains": ["<string>"],
"recency": 1
}
],
"open": [
{
"ref_id": "<string>",
"lineno": 1
}
],
"screenshot": [
{
"pageno": 1,
"ref_id": "<string>"
}
],
"search_query": [
{
"q": "<string>",
"domains": ["<string>"],
"recency": 1
}
],
"sports": [
{
"date_from": "<string>",
"date_to": "<string>",
"locale": "<string>",
"num_games": 1,
"opponent": "<string>",
"team": "<string>",
"tool": "sports"
}
],
"time": [{ "utc_offset": "<string>" }],
"weather": [
{
"location": "<string>",
"duration": 1,
"start": "<string>"
}
]
},
"input": "<string>",
"max_output_tokens": 1,
"reasoning": { "effort": "<string>" },
"settings": {
"allowed_callers": [],
"external_web_access": True,
"filters": {
"allowed_domains": ["<string>"],
"blocked_domains": ["<string>"]
},
"image_settings": {
"caption": True,
"max_results": 1
},
"user_location": {
"type": "approximate",
"city": "<string>",
"country": "<string>",
"region": "<string>",
"timezone": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
model: '<string>',
commands: {
click: [{id: 1, ref_id: '<string>'}],
finance: [{ticker: '<string>', market: '<string>'}],
find: [{pattern: '<string>', ref_id: '<string>'}],
image_query: [{q: '<string>', domains: ['<string>'], recency: 1}],
literature_search_query: [{q: '<string>', domains: ['<string>'], recency: 1}],
open: [{ref_id: '<string>', lineno: 1}],
screenshot: [{pageno: 1, ref_id: '<string>'}],
search_query: [{q: '<string>', domains: ['<string>'], recency: 1}],
sports: [
{
date_from: '<string>',
date_to: '<string>',
locale: '<string>',
num_games: 1,
opponent: '<string>',
team: '<string>',
tool: 'sports'
}
],
time: [{utc_offset: '<string>'}],
weather: [{location: '<string>', duration: 1, start: '<string>'}]
},
input: '<string>',
max_output_tokens: 1,
reasoning: {effort: '<string>'},
settings: {
allowed_callers: [],
external_web_access: true,
filters: {allowed_domains: ['<string>'], blocked_domains: ['<string>']},
image_settings: {caption: true, max_results: 1},
user_location: {
type: 'approximate',
city: '<string>',
country: '<string>',
region: '<string>',
timezone: '<string>'
}
}
})
};
fetch('https://api.example.com/v1/alpha/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/alpha/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'model' => '<string>',
'commands' => [
'click' => [
[
'id' => 1,
'ref_id' => '<string>'
]
],
'finance' => [
[
'ticker' => '<string>',
'market' => '<string>'
]
],
'find' => [
[
'pattern' => '<string>',
'ref_id' => '<string>'
]
],
'image_query' => [
[
'q' => '<string>',
'domains' => [
'<string>'
],
'recency' => 1
]
],
'literature_search_query' => [
[
'q' => '<string>',
'domains' => [
'<string>'
],
'recency' => 1
]
],
'open' => [
[
'ref_id' => '<string>',
'lineno' => 1
]
],
'screenshot' => [
[
'pageno' => 1,
'ref_id' => '<string>'
]
],
'search_query' => [
[
'q' => '<string>',
'domains' => [
'<string>'
],
'recency' => 1
]
],
'sports' => [
[
'date_from' => '<string>',
'date_to' => '<string>',
'locale' => '<string>',
'num_games' => 1,
'opponent' => '<string>',
'team' => '<string>',
'tool' => 'sports'
]
],
'time' => [
[
'utc_offset' => '<string>'
]
],
'weather' => [
[
'location' => '<string>',
'duration' => 1,
'start' => '<string>'
]
]
],
'input' => '<string>',
'max_output_tokens' => 1,
'reasoning' => [
'effort' => '<string>'
],
'settings' => [
'allowed_callers' => [
],
'external_web_access' => true,
'filters' => [
'allowed_domains' => [
'<string>'
],
'blocked_domains' => [
'<string>'
]
],
'image_settings' => [
'caption' => true,
'max_results' => 1
],
'user_location' => [
'type' => 'approximate',
'city' => '<string>',
'country' => '<string>',
'region' => '<string>',
'timezone' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/alpha/search"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"model\": \"<string>\",\n \"commands\": {\n \"click\": [\n {\n \"id\": 1,\n \"ref_id\": \"<string>\"\n }\n ],\n \"finance\": [\n {\n \"ticker\": \"<string>\",\n \"market\": \"<string>\"\n }\n ],\n \"find\": [\n {\n \"pattern\": \"<string>\",\n \"ref_id\": \"<string>\"\n }\n ],\n \"image_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"literature_search_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"open\": [\n {\n \"ref_id\": \"<string>\",\n \"lineno\": 1\n }\n ],\n \"screenshot\": [\n {\n \"pageno\": 1,\n \"ref_id\": \"<string>\"\n }\n ],\n \"search_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"sports\": [\n {\n \"date_from\": \"<string>\",\n \"date_to\": \"<string>\",\n \"locale\": \"<string>\",\n \"num_games\": 1,\n \"opponent\": \"<string>\",\n \"team\": \"<string>\",\n \"tool\": \"sports\"\n }\n ],\n \"time\": [\n {\n \"utc_offset\": \"<string>\"\n }\n ],\n \"weather\": [\n {\n \"location\": \"<string>\",\n \"duration\": 1,\n \"start\": \"<string>\"\n }\n ]\n },\n \"input\": \"<string>\",\n \"max_output_tokens\": 1,\n \"reasoning\": {\n \"effort\": \"<string>\"\n },\n \"settings\": {\n \"allowed_callers\": [],\n \"external_web_access\": true,\n \"filters\": {\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"blocked_domains\": [\n \"<string>\"\n ]\n },\n \"image_settings\": {\n \"caption\": true,\n \"max_results\": 1\n },\n \"user_location\": {\n \"type\": \"approximate\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"region\": \"<string>\",\n \"timezone\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/alpha/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"<string>\",\n \"model\": \"<string>\",\n \"commands\": {\n \"click\": [\n {\n \"id\": 1,\n \"ref_id\": \"<string>\"\n }\n ],\n \"finance\": [\n {\n \"ticker\": \"<string>\",\n \"market\": \"<string>\"\n }\n ],\n \"find\": [\n {\n \"pattern\": \"<string>\",\n \"ref_id\": \"<string>\"\n }\n ],\n \"image_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"literature_search_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"open\": [\n {\n \"ref_id\": \"<string>\",\n \"lineno\": 1\n }\n ],\n \"screenshot\": [\n {\n \"pageno\": 1,\n \"ref_id\": \"<string>\"\n }\n ],\n \"search_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"sports\": [\n {\n \"date_from\": \"<string>\",\n \"date_to\": \"<string>\",\n \"locale\": \"<string>\",\n \"num_games\": 1,\n \"opponent\": \"<string>\",\n \"team\": \"<string>\",\n \"tool\": \"sports\"\n }\n ],\n \"time\": [\n {\n \"utc_offset\": \"<string>\"\n }\n ],\n \"weather\": [\n {\n \"location\": \"<string>\",\n \"duration\": 1,\n \"start\": \"<string>\"\n }\n ]\n },\n \"input\": \"<string>\",\n \"max_output_tokens\": 1,\n \"reasoning\": {\n \"effort\": \"<string>\"\n },\n \"settings\": {\n \"allowed_callers\": [],\n \"external_web_access\": true,\n \"filters\": {\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"blocked_domains\": [\n \"<string>\"\n ]\n },\n \"image_settings\": {\n \"caption\": true,\n \"max_results\": 1\n },\n \"user_location\": {\n \"type\": \"approximate\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"region\": \"<string>\",\n \"timezone\": \"<string>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/alpha/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"<string>\",\n \"model\": \"<string>\",\n \"commands\": {\n \"click\": [\n {\n \"id\": 1,\n \"ref_id\": \"<string>\"\n }\n ],\n \"finance\": [\n {\n \"ticker\": \"<string>\",\n \"market\": \"<string>\"\n }\n ],\n \"find\": [\n {\n \"pattern\": \"<string>\",\n \"ref_id\": \"<string>\"\n }\n ],\n \"image_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"literature_search_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"open\": [\n {\n \"ref_id\": \"<string>\",\n \"lineno\": 1\n }\n ],\n \"screenshot\": [\n {\n \"pageno\": 1,\n \"ref_id\": \"<string>\"\n }\n ],\n \"search_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"sports\": [\n {\n \"date_from\": \"<string>\",\n \"date_to\": \"<string>\",\n \"locale\": \"<string>\",\n \"num_games\": 1,\n \"opponent\": \"<string>\",\n \"team\": \"<string>\",\n \"tool\": \"sports\"\n }\n ],\n \"time\": [\n {\n \"utc_offset\": \"<string>\"\n }\n ],\n \"weather\": [\n {\n \"location\": \"<string>\",\n \"duration\": 1,\n \"start\": \"<string>\"\n }\n ]\n },\n \"input\": \"<string>\",\n \"max_output_tokens\": 1,\n \"reasoning\": {\n \"effort\": \"<string>\"\n },\n \"settings\": {\n \"allowed_callers\": [],\n \"external_web_access\": true,\n \"filters\": {\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"blocked_domains\": [\n \"<string>\"\n ]\n },\n \"image_settings\": {\n \"caption\": true,\n \"max_results\": 1\n },\n \"user_location\": {\n \"type\": \"approximate\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"region\": \"<string>\",\n \"timezone\": \"<string>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"output": "<string>",
"encrypted_output": "<string>",
"results": [
"<unknown>"
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Forwarding
POST /v1/alpha/search
Available at the instance root or under a provider/namespace prefix. Shared paths select the wire dialect from client headers; without dialect evidence, the first listed route wins.
POST
/
v1
/
alpha
/
search
POST /v1/alpha/search
curl --request POST \
--url https://api.example.com/v1/alpha/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"model": "<string>",
"commands": {
"click": [
{
"id": 1,
"ref_id": "<string>"
}
],
"finance": [
{
"ticker": "<string>",
"market": "<string>"
}
],
"find": [
{
"pattern": "<string>",
"ref_id": "<string>"
}
],
"image_query": [
{
"q": "<string>",
"domains": [
"<string>"
],
"recency": 1
}
],
"literature_search_query": [
{
"q": "<string>",
"domains": [
"<string>"
],
"recency": 1
}
],
"open": [
{
"ref_id": "<string>",
"lineno": 1
}
],
"screenshot": [
{
"pageno": 1,
"ref_id": "<string>"
}
],
"search_query": [
{
"q": "<string>",
"domains": [
"<string>"
],
"recency": 1
}
],
"sports": [
{
"date_from": "<string>",
"date_to": "<string>",
"locale": "<string>",
"num_games": 1,
"opponent": "<string>",
"team": "<string>",
"tool": "sports"
}
],
"time": [
{
"utc_offset": "<string>"
}
],
"weather": [
{
"location": "<string>",
"duration": 1,
"start": "<string>"
}
]
},
"input": "<string>",
"max_output_tokens": 1,
"reasoning": {
"effort": "<string>"
},
"settings": {
"allowed_callers": [],
"external_web_access": true,
"filters": {
"allowed_domains": [
"<string>"
],
"blocked_domains": [
"<string>"
]
},
"image_settings": {
"caption": true,
"max_results": 1
},
"user_location": {
"type": "approximate",
"city": "<string>",
"country": "<string>",
"region": "<string>",
"timezone": "<string>"
}
}
}
'import requests
url = "https://api.example.com/v1/alpha/search"
payload = {
"id": "<string>",
"model": "<string>",
"commands": {
"click": [
{
"id": 1,
"ref_id": "<string>"
}
],
"finance": [
{
"ticker": "<string>",
"market": "<string>"
}
],
"find": [
{
"pattern": "<string>",
"ref_id": "<string>"
}
],
"image_query": [
{
"q": "<string>",
"domains": ["<string>"],
"recency": 1
}
],
"literature_search_query": [
{
"q": "<string>",
"domains": ["<string>"],
"recency": 1
}
],
"open": [
{
"ref_id": "<string>",
"lineno": 1
}
],
"screenshot": [
{
"pageno": 1,
"ref_id": "<string>"
}
],
"search_query": [
{
"q": "<string>",
"domains": ["<string>"],
"recency": 1
}
],
"sports": [
{
"date_from": "<string>",
"date_to": "<string>",
"locale": "<string>",
"num_games": 1,
"opponent": "<string>",
"team": "<string>",
"tool": "sports"
}
],
"time": [{ "utc_offset": "<string>" }],
"weather": [
{
"location": "<string>",
"duration": 1,
"start": "<string>"
}
]
},
"input": "<string>",
"max_output_tokens": 1,
"reasoning": { "effort": "<string>" },
"settings": {
"allowed_callers": [],
"external_web_access": True,
"filters": {
"allowed_domains": ["<string>"],
"blocked_domains": ["<string>"]
},
"image_settings": {
"caption": True,
"max_results": 1
},
"user_location": {
"type": "approximate",
"city": "<string>",
"country": "<string>",
"region": "<string>",
"timezone": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
model: '<string>',
commands: {
click: [{id: 1, ref_id: '<string>'}],
finance: [{ticker: '<string>', market: '<string>'}],
find: [{pattern: '<string>', ref_id: '<string>'}],
image_query: [{q: '<string>', domains: ['<string>'], recency: 1}],
literature_search_query: [{q: '<string>', domains: ['<string>'], recency: 1}],
open: [{ref_id: '<string>', lineno: 1}],
screenshot: [{pageno: 1, ref_id: '<string>'}],
search_query: [{q: '<string>', domains: ['<string>'], recency: 1}],
sports: [
{
date_from: '<string>',
date_to: '<string>',
locale: '<string>',
num_games: 1,
opponent: '<string>',
team: '<string>',
tool: 'sports'
}
],
time: [{utc_offset: '<string>'}],
weather: [{location: '<string>', duration: 1, start: '<string>'}]
},
input: '<string>',
max_output_tokens: 1,
reasoning: {effort: '<string>'},
settings: {
allowed_callers: [],
external_web_access: true,
filters: {allowed_domains: ['<string>'], blocked_domains: ['<string>']},
image_settings: {caption: true, max_results: 1},
user_location: {
type: 'approximate',
city: '<string>',
country: '<string>',
region: '<string>',
timezone: '<string>'
}
}
})
};
fetch('https://api.example.com/v1/alpha/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/alpha/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'model' => '<string>',
'commands' => [
'click' => [
[
'id' => 1,
'ref_id' => '<string>'
]
],
'finance' => [
[
'ticker' => '<string>',
'market' => '<string>'
]
],
'find' => [
[
'pattern' => '<string>',
'ref_id' => '<string>'
]
],
'image_query' => [
[
'q' => '<string>',
'domains' => [
'<string>'
],
'recency' => 1
]
],
'literature_search_query' => [
[
'q' => '<string>',
'domains' => [
'<string>'
],
'recency' => 1
]
],
'open' => [
[
'ref_id' => '<string>',
'lineno' => 1
]
],
'screenshot' => [
[
'pageno' => 1,
'ref_id' => '<string>'
]
],
'search_query' => [
[
'q' => '<string>',
'domains' => [
'<string>'
],
'recency' => 1
]
],
'sports' => [
[
'date_from' => '<string>',
'date_to' => '<string>',
'locale' => '<string>',
'num_games' => 1,
'opponent' => '<string>',
'team' => '<string>',
'tool' => 'sports'
]
],
'time' => [
[
'utc_offset' => '<string>'
]
],
'weather' => [
[
'location' => '<string>',
'duration' => 1,
'start' => '<string>'
]
]
],
'input' => '<string>',
'max_output_tokens' => 1,
'reasoning' => [
'effort' => '<string>'
],
'settings' => [
'allowed_callers' => [
],
'external_web_access' => true,
'filters' => [
'allowed_domains' => [
'<string>'
],
'blocked_domains' => [
'<string>'
]
],
'image_settings' => [
'caption' => true,
'max_results' => 1
],
'user_location' => [
'type' => 'approximate',
'city' => '<string>',
'country' => '<string>',
'region' => '<string>',
'timezone' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/alpha/search"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"model\": \"<string>\",\n \"commands\": {\n \"click\": [\n {\n \"id\": 1,\n \"ref_id\": \"<string>\"\n }\n ],\n \"finance\": [\n {\n \"ticker\": \"<string>\",\n \"market\": \"<string>\"\n }\n ],\n \"find\": [\n {\n \"pattern\": \"<string>\",\n \"ref_id\": \"<string>\"\n }\n ],\n \"image_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"literature_search_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"open\": [\n {\n \"ref_id\": \"<string>\",\n \"lineno\": 1\n }\n ],\n \"screenshot\": [\n {\n \"pageno\": 1,\n \"ref_id\": \"<string>\"\n }\n ],\n \"search_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"sports\": [\n {\n \"date_from\": \"<string>\",\n \"date_to\": \"<string>\",\n \"locale\": \"<string>\",\n \"num_games\": 1,\n \"opponent\": \"<string>\",\n \"team\": \"<string>\",\n \"tool\": \"sports\"\n }\n ],\n \"time\": [\n {\n \"utc_offset\": \"<string>\"\n }\n ],\n \"weather\": [\n {\n \"location\": \"<string>\",\n \"duration\": 1,\n \"start\": \"<string>\"\n }\n ]\n },\n \"input\": \"<string>\",\n \"max_output_tokens\": 1,\n \"reasoning\": {\n \"effort\": \"<string>\"\n },\n \"settings\": {\n \"allowed_callers\": [],\n \"external_web_access\": true,\n \"filters\": {\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"blocked_domains\": [\n \"<string>\"\n ]\n },\n \"image_settings\": {\n \"caption\": true,\n \"max_results\": 1\n },\n \"user_location\": {\n \"type\": \"approximate\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"region\": \"<string>\",\n \"timezone\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/alpha/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"<string>\",\n \"model\": \"<string>\",\n \"commands\": {\n \"click\": [\n {\n \"id\": 1,\n \"ref_id\": \"<string>\"\n }\n ],\n \"finance\": [\n {\n \"ticker\": \"<string>\",\n \"market\": \"<string>\"\n }\n ],\n \"find\": [\n {\n \"pattern\": \"<string>\",\n \"ref_id\": \"<string>\"\n }\n ],\n \"image_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"literature_search_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"open\": [\n {\n \"ref_id\": \"<string>\",\n \"lineno\": 1\n }\n ],\n \"screenshot\": [\n {\n \"pageno\": 1,\n \"ref_id\": \"<string>\"\n }\n ],\n \"search_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"sports\": [\n {\n \"date_from\": \"<string>\",\n \"date_to\": \"<string>\",\n \"locale\": \"<string>\",\n \"num_games\": 1,\n \"opponent\": \"<string>\",\n \"team\": \"<string>\",\n \"tool\": \"sports\"\n }\n ],\n \"time\": [\n {\n \"utc_offset\": \"<string>\"\n }\n ],\n \"weather\": [\n {\n \"location\": \"<string>\",\n \"duration\": 1,\n \"start\": \"<string>\"\n }\n ]\n },\n \"input\": \"<string>\",\n \"max_output_tokens\": 1,\n \"reasoning\": {\n \"effort\": \"<string>\"\n },\n \"settings\": {\n \"allowed_callers\": [],\n \"external_web_access\": true,\n \"filters\": {\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"blocked_domains\": [\n \"<string>\"\n ]\n },\n \"image_settings\": {\n \"caption\": true,\n \"max_results\": 1\n },\n \"user_location\": {\n \"type\": \"approximate\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"region\": \"<string>\",\n \"timezone\": \"<string>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/alpha/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"<string>\",\n \"model\": \"<string>\",\n \"commands\": {\n \"click\": [\n {\n \"id\": 1,\n \"ref_id\": \"<string>\"\n }\n ],\n \"finance\": [\n {\n \"ticker\": \"<string>\",\n \"market\": \"<string>\"\n }\n ],\n \"find\": [\n {\n \"pattern\": \"<string>\",\n \"ref_id\": \"<string>\"\n }\n ],\n \"image_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"literature_search_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"open\": [\n {\n \"ref_id\": \"<string>\",\n \"lineno\": 1\n }\n ],\n \"screenshot\": [\n {\n \"pageno\": 1,\n \"ref_id\": \"<string>\"\n }\n ],\n \"search_query\": [\n {\n \"q\": \"<string>\",\n \"domains\": [\n \"<string>\"\n ],\n \"recency\": 1\n }\n ],\n \"sports\": [\n {\n \"date_from\": \"<string>\",\n \"date_to\": \"<string>\",\n \"locale\": \"<string>\",\n \"num_games\": 1,\n \"opponent\": \"<string>\",\n \"team\": \"<string>\",\n \"tool\": \"sports\"\n }\n ],\n \"time\": [\n {\n \"utc_offset\": \"<string>\"\n }\n ],\n \"weather\": [\n {\n \"location\": \"<string>\",\n \"duration\": 1,\n \"start\": \"<string>\"\n }\n ]\n },\n \"input\": \"<string>\",\n \"max_output_tokens\": 1,\n \"reasoning\": {\n \"effort\": \"<string>\"\n },\n \"settings\": {\n \"allowed_callers\": [],\n \"external_web_access\": true,\n \"filters\": {\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"blocked_domains\": [\n \"<string>\"\n ]\n },\n \"image_settings\": {\n \"caption\": true,\n \"max_results\": 1\n },\n \"user_location\": {\n \"type\": \"approximate\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"region\": \"<string>\",\n \"timezone\": \"<string>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"output": "<string>",
"encrypted_output": "<string>",
"results": [
"<unknown>"
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}授权
beareranthropicKeygoogleKeyqueryKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json